Bug 1290132 - httpd multiarch conflict
httpd multiarch conflict
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mash (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 12:29 EST by Pavel Alexeev
Modified: 2016-07-19 14:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:35:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2015-12-09 12:29:08 EST
Description of problem:
# LANG=en_US.utf-8 dnf install --allowerasing httpd.x86_64
Last metadata expiration check performed 0:52:11 ago on Wed Dec  9 16:35:27 2015.
Dependencies resolved.
======================================================================================================================================================================================================================
 Package                                                 Arch                                          Version                                                   Repository                                      Size
======================================================================================================================================================================================================================
Installing:
 apr                                                     x86_64                                        1.5.1-3.fc22                                              fedora                                         111 k
 apr-util                                                x86_64                                        1.5.4-1.fc22                                              fedora                                          96 k
 httpd                                                   x86_64                                        2.4.17-1.fc22                                             updates                                        1.3 M
 httpd-tools                                             x86_64                                        2.4.17-1.fc22                                             updates                                         88 k
 libnghttp2                                              i686                                          1.2.1-1.fc22                                              updates                                         70 k
 libnghttp2                                              x86_64                                        1.2.1-1.fc22                                              updates                                         67 k
 lua                                                     x86_64                                        5.3.0-2.fc22                                              fedora                                         272 k
Upgrading:
 httpd                                                   i686                                          2.4.17-1.fc22                                             updates                                        1.3 M
 httpd-filesystem                                        noarch                                        2.4.17-1.fc22                                             updates                                         25 k
Removing:
 mod_ssl                                                 i686                                          1:2.4.16-1.fc22                                           @System                                        211 k

Transaction Summary
======================================================================================================================================================================================================================
Install  7 Packages
Upgrade  2 Packages
Remove   1 Package

Total download size: 3.3 M
Is this ok [y/N]: y
Downloading Packages:
(1/9): apr-1.5.1-3.fc22.x86_64.rpm                                                                                                                                                    613 kB/s | 111 kB     00:00    
(2/9): apr-util-1.5.4-1.fc22.x86_64.rpm                                                                                                                                               515 kB/s |  96 kB     00:00    
(3/9): lua-5.3.0-2.fc22.x86_64.rpm                                                                                                                                                    4.9 MB/s | 272 kB     00:00    
(4/9): httpd-tools-2.4.17-1.fc22.x86_64.rpm                                                                                                                                           1.4 MB/s |  88 kB     00:00    
(5/9): httpd-2.4.17-1.fc22.x86_64.rpm                                                                                                                                                 4.7 MB/s | 1.3 MB     00:00    
(6/9): httpd-filesystem-2.4.17-1.fc22.noarch.rpm                                                                                                                                      1.2 MB/s |  25 kB     00:00    
(7/9): libnghttp2-1.2.1-1.fc22.i686.rpm                                                                                                                                               1.0 MB/s |  70 kB     00:00    
(8/9): libnghttp2-1.2.1-1.fc22.x86_64.rpm                                                                                                                                             505 kB/s |  67 kB     00:00    
(9/9): httpd-2.4.16-1.fc22_2.4.17-1.fc22.i686.drpm                                                                                                                                    4.1 MB/s | 548 kB     00:00    
[DRPM] httpd-2.4.16-1.fc22_2.4.17-1.fc22.i686.drpm: done                                                                                                                                                             
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                 636 kB/s | 2.6 MB     00:04     
Delta RPMs reduced 3.3 MB of updates to 2.6 MB (23.1% saved)
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /etc/httpd/modules conflicts between attempted installs of httpd-2.4.17-1.fc22.i686 and httpd-2.4.17-1.fc22.x86_64


Version-Release number of selected component (if applicable):
# rpm -q httpd
httpd-2.4.16-1.fc22.i686
Comment 1 Pavel Alexeev 2015-12-09 12:30:41 EST
Should be formatted for more readability:

# LANG=en_US.utf-8 dnf install --allowerasing httpd.x86_64
Last metadata expiration check performed 0:54:27 ago on Wed Dec  9 16:35:27 2015.
Dependencies resolved.
=============================================================
 Package           Arch    Version            Repository
                                                        Size
=============================================================
Installing:
 apr               x86_64  1.5.1-3.fc22       fedora   111 k
 apr-util          x86_64  1.5.4-1.fc22       fedora    96 k
 httpd             x86_64  2.4.17-1.fc22      updates  1.3 M
 httpd-tools       x86_64  2.4.17-1.fc22      updates   88 k
 libnghttp2        i686    1.2.1-1.fc22       updates   70 k
 libnghttp2        x86_64  1.2.1-1.fc22       updates   67 k
 lua               x86_64  5.3.0-2.fc22       fedora   272 k
Upgrading:
 httpd             i686    2.4.17-1.fc22      updates  1.3 M
 httpd-filesystem  noarch  2.4.17-1.fc22      updates   25 k
Removing:
 mod_ssl           i686    1:2.4.16-1.fc22    @System  211 k

Transaction Summary
=============================================================
Install  7 Packages
Upgrade  2 Packages
Remove   1 Package

Total size: 3.3 M
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] httpd-2.4.17-1.fc22.x86_64.rpm: Already downloaded
[SKIPPED] apr-1.5.1-3.fc22.x86_64.rpm: Already downloaded   
[SKIPPED] apr-util-1.5.4-1.fc22.x86_64.rpm: Already downloaded
[SKIPPED] lua-5.3.0-2.fc22.x86_64.rpm: Already downloaded   
[SKIPPED] httpd-tools-2.4.17-1.fc22.x86_64.rpm: Already downloaded
[SKIPPED] libnghttp2-1.2.1-1.fc22.x86_64.rpm: Already downloaded
[SKIPPED] libnghttp2-1.2.1-1.fc22.i686.rpm: Already downloaded
[SKIPPED] httpd-filesystem-2.4.17-1.fc22.noarch.rpm: Already downloaded
[SKIPPED] httpd-2.4.17-1.fc22.i686.rpm: Already downloaded  
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /etc/httpd/modules conflicts between attempted installs of httpd-2.4.17-1.fc22.i686 and httpd-2.4.17-1.fc22.x86_64
Comment 2 Joe Orton 2015-12-10 07:03:20 EST
There is an expected and desired conflict between the httpd binary RPM on different architectures and it is correctly flagged at installation time.

The fact that httpd.i686 shows up in any x86_64 repos is a rel-eng issue, it should be blacklisted in the compose... bug 1217168 implies this was actually fixed at some point.

It's not in the compose at least, but it shows up in updates still for f23.  I'm not sure where this should be assigned, I'll start with mash.

From my fedora-updates mirror:

$ ls 22/x86_64/h/httpd-2.4.17-1.fc22.*.rpm
22/x86_64/h/httpd-2.4.17-1.fc22.i686.rpm
22/x86_64/h/httpd-2.4.17-1.fc22.x86_64.rpm
Comment 3 Fedora End Of Life 2016-07-19 14:35:25 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.